Skip to main content
GET
/
v2
/
api
ERC721 Token Transfers Advanced Filter
curl --request GET \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "4708120",
      "timeStamp": "1512907118",
      "hash": "0x031e6968a8de362e4328d60dcc7f72f0d6fc84284c452f63176632177146de66",
      "nonce": "0",
      "blockHash": "0x4be19c278bfaead5cb0bc9476fa632e2447f6e6259e0303af210302d22779a24",
      "from": "0xb1690c08e213a35ed9bab7b318de14420fb57d8c",
      "contractAddress": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
      "to": "0x6975be450864c02b4613023c2152ee0743572325",
      "tokenID": "202106",
      "tokenName": "CryptoKitties",
      "tokenSymbol": "CK",
      "tokenDecimal": "0",
      "transactionIndex": "81",
      "gas": "158820",
      "gasPrice": "40000000000",
      "gasUsed": "60508",
      "cumulativeGasUsed": "4880352",
      "input": "deprecated",
      "methodId": "0x454a2ab3",
      "functionName": "bid(uint256 _tokenId)",
      "confirmations": "18759540"
    }
  ]
}
Beta Explore and preview data from our Advanced Filter page.

Query parameters.

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, such as 1 for Ethereum or 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"tokennfttx"
Set to tokennfttx for this endpoint.
contractaddress
string
default:"0x06012c8cf97bead5deae237070f9587f8e7a266d"
The ERC721 token contract address to filter transfers by.
from
string
default:"0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0"
The sender address to filter transactions by.
to
string
default:"0x71c7656ec7ab88b098defb751b7401b5f6d8976f"
The recipient address to filter transactions by.
fromto_opr
string
default:"or"
Address filter operator, either and or or.Use fromto_opr=and when both from and to must match. Use fromto_opr=or when either from or to can match.
startblock
integer
default:"0"
Starting block number to search from.
endblock
string
default:"latest"
Ending block number to search to, or latest for the latest block.
sort
string
default:"desc"
Sort order, either desc for the latest transactions first or asc for the oldest transactions first.
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"10"
Number of records per page. Use the page parameter for subsequent records.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "4708120",
      "timeStamp": "1512907118",
      "hash": "0x031e6968a8de362e4328d60dcc7f72f0d6fc84284c452f63176632177146de66",
      "nonce": "0",
      "blockHash": "0x4be19c278bfaead5cb0bc9476fa632e2447f6e6259e0303af210302d22779a24",
      "from": "0xb1690c08e213a35ed9bab7b318de14420fb57d8c",
      "contractAddress": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
      "to": "0x6975be450864c02b4613023c2152ee0743572325",
      "tokenID": "202106",
      "tokenName": "CryptoKitties",
      "tokenSymbol": "CK",
      "tokenDecimal": "0",
      "transactionIndex": "81",
      "gas": "158820",
      "gasPrice": "40000000000",
      "gasUsed": "60508",
      "cumulativeGasUsed": "4880352",
      "input": "deprecated",
      "methodId": "0x454a2ab3",
      "functionName": "bid(uint256 _tokenId)",
      "confirmations": "18759540"
    }
  ]
}